groovy.util

## Class ObjectGraphBuilder.DefaultNewInstanceResolver

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

- All Implemented Interfaces:
    ObjectGraphBuilder.NewInstanceResolver
  Enclosing class:
    ObjectGraphBuilder

      public static class ObjectGraphBuilder.DefaultNewInstanceResolver
      extends Object
      implements ObjectGraphBuilder.NewInstanceResolver

  Default impl that calls Class.newInstance()

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectGraphBuilder.DefaultNewInstanceResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `newInstance(Class klass, Map attributes)` Create a new instance of Class klass.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectGraphBuilder.DefaultNewInstanceResolver

          public ObjectGraphBuilder.DefaultNewInstanceResolver()

  - ### Method Detail

    - #### newInstance

          public Object newInstance(Class klass,
                           Map attributes)
                             throws InstantiationException,
                                    IllegalAccessException

      Description copied from interface: `ObjectGraphBuilder.NewInstanceResolver`
      Create a new instance of Class klass.
      Specified by:
        `newInstance` in interface `ObjectGraphBuilder.NewInstanceResolver`
      Parameters:
        `klass` - the resolved class name
        `attributes` - the attribute Map available for the node
      Throws:
        `InstantiationException`
        `IllegalAccessException`